org.deidentifier.arx.gui.view.impl.menu

## Class EditorCriterionDDisclosurePrivacy

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.menu.EditorCriterion<ModelDDisclosurePrivacyCriterion>
  - - org.deidentifier.arx.gui.view.impl.menu.EditorCriterionDDisclosurePrivacy

    public class EditorCriterionDDisclosurePrivacy
    extends EditorCriterion<ModelDDisclosurePrivacyCriterion>

Implements a view on a d-disclosure privacy criterion

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`EditorCriterionDDisclosurePrivacy(org.eclipse.swt.widgets.Composite parent, ModelDDisclosurePrivacyCriterion model)` Creates a new instance.

### Method Summary

### Methods inherited from class org.deidentifier.arx.gui.view.impl.menu.EditorCriterion

`dispose, getModel, parseDefault`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EditorCriterionDDisclosurePrivacy

    public EditorCriterionDDisclosurePrivacy(org.eclipse.swt.widgets.Composite parent,
                                             ModelDDisclosurePrivacyCriterion model)

Creates a new instance.

Parameters:
  `parent` -
  `model` -